Subject: Re: bug#37782: Emacs 27 client adding [I] to the beginning of the

From: Noam Postavsky <[email-masked]>
Date: Tue, 14 Apr 2020 21:29:35 -0400

tags 37782 fixed
close 37782 27.1
quit

Eli Zaretskii <[email-masked]> writes:

>> From: Joseph Mingrone <[email-masked]>
>> Cc: emacs-devel <[email-masked]>, [email-masked]
>> Date: Fri, 08 Nov 2019 01:09:27 -0400
>> 
>> Hello Carlos and Eli,
>> 
>> The fix for bug#37782 in commit e3cebbb (2019-10-19) introduced an error
>> when starting emacsclient.
>> 
>>     undefined: KEY must be an integer, cons, symbol, or string
>> 
>> I think the message is from keymap.c around line 2279.
>> 
>> This error is reproducible and is happening on FreeBSD (versions 12.0
>> and 12.1 confirmed).
>
> No response from Carlos in a month, so I tried to fix this bug as best
> as I could.  Joseph, could you please see if your problem is solved by
> the latest master branch?
>
> Carlos, if you are still here, please test if your original problem is
> still solved, or did I re-introduce it by the fix.

I think by now we can assume no news is good news.  Closing.

[1: 1161c7d8ec]: 2019-12-07 11:28:05 +0200
  Fix fallout from fixing bug#37782
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=1161c7d8ec388dc0698e7a398798a4f0e98e0403